# Log Inputs

Launch stage: GA

`POST /api/2.0/mlflow/runs/log-inputs`

Logs inputs, such as datasets and models, to an MLflow Run.

API scopes: mlflow

## Request body

- `run_id` (string, optional)
  ID of the run to log under
- `datasets` (array of object, optional)
  Dataset inputs
  - `tags` (array of object, optional)
    A list of tags for the dataset input, e.g. a “context” tag with value “training”
    - `key` (string, optional)
      The tag key.
    - `value` (string, optional)
      The tag value.
  - `dataset` (object, optional)
    The dataset being used as a Run input.
    - `name` (string, optional)
      The name of the dataset. E.g. “my.uc.table@2” “nyc-taxi-dataset”, “fantastic-elk-3”
    - `digest` (string, optional)
      Dataset digest, e.g. an md5 hash of the dataset that uniquely identifies it within datasets of the same name.
    - `source_type` (string, optional)
      The type of the dataset source, e.g. ‘databricks-uc-table’, ‘DBFS’, ‘S3’, ...
    - `source` (string, optional)
      Source information for the dataset. Note that the source may not exactly reproduce the
       dataset if it was transformed / modified before use with MLflow.
    - `schema` (string, optional)
      The schema of the dataset. E.g., MLflow ColSpec JSON for a dataframe, MLflow TensorSpec JSON
       for an ndarray, or another schema format.
    - `profile` (string, optional)
      The profile of the dataset. Summary statistics for the dataset, such as the number of rows
       in a table, the mean / std / mode of each column in a table, or the number of elements
       in an array.
- `models` (array of object, optional)
  Model inputs
  - `model_id` (string, optional)
    The unique identifier of the model.

## Response

```json
{}
```

